<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>Products.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.model</a> &gt; <span class="el_source">Products.java</span></div><h1>Products.java</h1><pre class="source lang-java linenums">package com.example.demo.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = &quot;products_dtls&quot;)
public class Products {
	@Id
	 @GeneratedValue(strategy = GenerationType.IDENTITY)
private long id;
@Column(name =&quot;product_name&quot;)
private String productName;
private String description;
private String price;
private String quantity;



public Products() {
<span class="fc" id="L25">	super();</span>
<span class="fc" id="L26">	// TODO Auto-generated constructor stub</span>
}





public Products(long id, String productName, String description, String price, String quantity) {
<span class="nc" id="L34">	super();</span>
<span class="nc" id="L35">	this.id = id;</span>
<span class="nc" id="L36">	this.productName = productName;</span>
<span class="nc" id="L37">	this.description = description;</span>
<span class="nc" id="L38">	this.price = price;</span>
<span class="nc" id="L39">	this.quantity = quantity;</span>
<span class="nc" id="L40"></span>
}





public long getId() {
<span class="fc" id="L48">	return id;</span>
}
public void setId(long id) {
<span class="fc" id="L51">	this.id = id;</span>
<span class="fc" id="L52">}</span>
public String getProductName() {
<span class="fc" id="L54">	return productName;</span>
}
public void setProductName(String productName) {
<span class="fc" id="L57">	this.productName = productName;</span>
<span class="fc" id="L58">}</span>
public String getDescription() {
<span class="nc" id="L60">	return description;</span>
}
public void setDescription(String description) {
<span class="fc" id="L63">	this.description = description;</span>
<span class="fc" id="L64">}</span>
public String getPrice() {
<span class="nc" id="L66">	return price;</span>
}
public void setPrice(String price) {
<span class="fc" id="L69">	this.price = price;</span>
<span class="fc" id="L70">}</span>
public String getQuantity() {
<span class="nc" id="L72">	return quantity;</span>
}
public void setQuantity(String quantity) {
<span class="fc" id="L75">	this.quantity = quantity;</span>
<span class="fc" id="L76">}</span>





@Override
public String toString() {
<span class="nc" id="L84">	return &quot;Products [id=&quot; + id + &quot;, productName=&quot; + productName + &quot;, description=&quot; + description + &quot;, price=&quot; + price</span>
<span class="nc" id="L85">			+ &quot;, quantity=&quot; + quantity + &quot;]&quot;;</span>
}
























}


</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>